Main Page Widgets Namespaces Book

# box.h File Reference

## Namespaces

namespace | Gtk
namespace | Gtk::Box_Helpers
namespace | Glib

## Classes

class | Gtk::Box_Helpers::Child
class | Gtk::Box_Helpers::Element
struct | Gtk::Box_Helpers::EndElem
class | Gtk::Box_Helpers::BoxList
class | Gtk::Box
| A base class for box containers. More...
class | Gtk::VBox
| Vertical Box for laying widgets in a vertical row. More...
class | Gtk::HBox
| Horizontal Box for laying widgets in a horizontal row. More...

## Typedefs

typedef Element | StartElem

## Enumerations

enum | PackOptions { PACK_SHRINK, PACK_EXPAND_PADDING, PACK_EXPAND_WIDGET }
| Packing options for adding child widgets to a Box with pack_start() and pack_end(). More...

## Typedef Documentation

typedef Element Gtk::Box_Helpers::StartElem